=== debian/changelog ===
polymake (4.4-4build2) jammy; urgency=medium

  * No-change rebuild against libeantic1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Mar 2022 17:23:47 +0000

polymake (4.4-4build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 07:51:48 +0100

polymake (4.4-4) unstable; urgency=medium

  * Add singular-{data,modules,ui} for tests, thanks to Lucas Nussbaum,
    Benjamin Lorenz (Closes: #1002281).

 -- David Bremner <bremner@debian.org>  Wed, 22 Dec 2021 09:25:46 -0400

polymake (4.4-3) unstable; urgency=medium

  * Source only upload

 -- David Bremner <bremner@debian.org>  Sun, 31 Oct 2021 12:03:41 -0300

polymake (4.4-2) unstable; urgency=medium

  * Re-upload with binaries, and to unstable

 -- David Bremner <bremner@debian.org>  Wed, 01 Sep 2021 12:16:33 -0700

polymake (4.4-1) experimental; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS with Perl 5.34: error: ‘Perl_pp_keys’ was not declared
    in this scope", thanks to Niko Tyni (Closes: #993330).

 -- David Bremner <bremner@debian.org>  Tue, 31 Aug 2021 16:08:41 -0700
