=== debian/control ===
Source: polymake
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
               libbliss-dev,
               libboost-dev,
               libcdd-dev (>= 094g~),
               libgmp-dev,
               libflint-dev [!mips64el !mipsel],
               libjson-perl,
               liblrs-dev (>= 0.71~),
               libmpfr-dev,
               libnormaliz-dev [!mips64el !mipsel],
               libperl-dev,
               libppl-dev,
               libsingular4-dev,
               libterm-readkey-perl <!nocheck>,
               libterm-readline-gnu-perl <!nocheck>,
               libxml-sax-perl <!nocheck>,
               ninja-build,
               singular-data <!nocheck>,
               singular-modules <!nocheck>,
               singular-ui <!nocheck>,
               uglifyjs,
               pkg-config
Standards-Version: 4.5.0
Homepage: http://www.polymake.org/
Vcs-Browser: https://salsa.debian.org/bremner/polymake.git
Vcs-Git: https://salsa.debian.org/bremner/polymake.git

Package: polymake
Architecture: any
Depends: polymake-common (= ${source:Version}),
         libpolymake-dev-common (= ${source:Version}),
         ninja-build,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: polymake-common (<< 4.0)
Breaks: polymake-common (<< 4.0)
Recommends: gfan, graphviz, iceweasel | chromium | conkeror, xdg-utils
Suggests: povray, texlive-latex-extra, texlive-pictures
Description: Tool for algorithmic discrete geometry
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains the core module and the application modules.

Package: polymake-common
Architecture: all
Depends: libpolymake-dev-common (= ${source:Version}),
         g++,
         libjson-perl,
         libmongodb-perl,
         libterm-readkey-perl,
         libterm-readline-gnu-perl,
         libxml-writer-perl,
         sensible-utils,
         singular,
         ${perl:Depends},
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- shared files
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains architecture independent material.

Package: libpolymake4.4
Provides: libpolymake
Section: libs
Architecture: any
Conflicts: libpolymake
Depends: polymake-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- library package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains shared libraries.

Package: libpolymake-dev
Section: libdevel
Architecture: any
Depends: libpolymake4.4 (= ${binary:Version}),
         libpolymake-dev-common (= ${source:Version}),
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- development package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains shared library symlinks.


Package: libpolymake-dev-common
Section: libdevel
Architecture: all
Depends: libflint-dev,
         libgmp-dev,
         libmpfr-dev,
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- common dev package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains common header files.
