## polymake 4.6

=== debian/changelog ===
polymake (4.6-5) unstable; urgency=medium

  * Bug fix: "missing dependency on perlapi", thanks to Niko Tyni (Closes:
    #1015013).

 -- David Bremner <bremner@debian.org>  Fri, 22 Jul 2022 07:00:51 -0400

polymake (4.6-4) unstable; urgency=medium

  * Bug fix: "FTBFS with Perl 5.36: HVhek_UNSHARED’ was not declared in
    this scope", thanks to Niko Tyni and Benjamin Lorenz (Closes:
    #1014296).

 -- David Bremner <bremner@debian.org>  Mon, 04 Jul 2022 14:46:59 -0300

polymake (4.6-3) unstable; urgency=medium

  * Source only upload.

 -- David Bremner <bremner@debian.org>  Mon, 06 Jun 2022 10:16:31 -0300

polymake (4.6-2) unstable; urgency=medium

  * re-upload with binaries.

 -- David Bremner <bremner@debian.org>  Fri, 22 Apr 2022 16:01:43 -0300

polymake (4.6-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Fri, 22 Apr 2022 11:19:48 -0300

polymake (4.4-5) unstable; urgency=medium

  * Add missing symlink to libpolymake4.4 (Thanks to Ewgenij Gawrilow for
    the patch).

 -- David Bremner <bremner@debian.org>  Tue, 15 Mar 2022 09:08:10 -0300
