=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
                libcdd-dev (>= 094g~),
                libgmp-dev,
-               libflint-dev [!mips64el !mipsel],
+               libflint-dev,
                libjson-perl,
                liblrs-dev (>= 0.71~),
                libmpfr-dev,
-               libnormaliz-dev [!mips64el !mipsel],
+               libnormaliz-dev,
                libperl-dev,
                libppl-dev,
                libsingular4-dev,
@@ -36,6 +35,7 @@
          libpolymake-dev-common (= ${source:Version}),
          ninja-build,
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Replaces: polymake-common (<< 4.0)
 Breaks: polymake-common (<< 4.0)
@@ -72,7 +72,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.4
+Package: libpolymake4.6
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -93,7 +93,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.4 (= ${binary:Version}),
+Depends: libpolymake4.6 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
