=== debian/changelog ===
polymake (4.11-2build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:48:30 +0000

polymake (4.11-2build4) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:22:58 +0000

polymake (4.11-2build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:04:02 +0100

polymake (4.11-2build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:12:53 +0100

polymake (4.11-2build1) noble; urgency=medium

  * No-change rebuild against libflint18

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Jan 2024 15:16:45 +0000

polymake (4.11-2) unstable; urgency=medium

  * Source-only upload

 -- David Bremner <bremner@debian.org>  Wed, 22 Nov 2023 09:10:20 -0400

polymake (4.11-1) unstable; urgency=medium

  * New upstream release (Closes: #1042521).
  * Apply upstream commit 4ce0549f (Closes: #1052830).

 -- David Bremner <bremner@debian.org>  Mon, 20 Nov 2023 17:02:44 -0400

polymake (4.8-1) unstable; urgency=medium

  * New Upstream release
  * Bug fix: "VISUAL fails when browser is already started", thanks to
    Joachim Zobel (Closes: #1016002). Tested with Chromium 108.

 -- David Bremner <bremner@debian.org>  Mon, 26 Dec 2022 12:30:22 -0400
