=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
@@ -72,7 +73,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.6
+Package: libpolymake4.11
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -93,7 +94,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.6 (= ${binary:Version}),
+Depends: libpolymake4.11 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
