=== debian/changelog ===
polymake (4.12-3build2) questing; urgency=medium

  * No-change rebuild for libflint soname.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2025 12:35:12 +0200

polymake (4.12-3build1) plucky; urgency=medium

  * No-change rebuild for libsingular4m4n1.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 28 Jan 2025 17:13:02 +0000

polymake (4.12-3) unstable; urgency=medium

  * Bug fix: "FTBFS with Perl 5.40: polymake has not been checked for
    compatibility with perl 5.40 or newer", thanks to Niko and Gregor
    (Closes: #1078040).

 -- David Bremner <bremner@debian.org>  Tue, 20 Aug 2024 12:41:37 -0300

polymake (4.12-2) unstable; urgency=medium

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 16 Jun 2024 07:46:21 -0300

polymake (4.12-1) experimental; urgency=medium

  * Update to new upstream version 4.12.
  * Bump soname to libpolymake.so.4.12
  * Patch: Add extra parameter to calls to checkindex (Closes: #1073173).
  * Ignore / revert t64 changes, superseded by new SONAME

 -- David Bremner <bremner@debian.org>  Thu, 13 Jun 2024 20:47:41 -0300

polymake (4.11-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 05 Feb 2024 20:09:44 -0300
