=== debian/changelog ===
polymake (4.14-1) unstable; urgency=medium

  * Update to new upstream version 4.14. (Closes: #1097635).

 -- David Bremner <bremner@debian.org>  Sun, 14 Sep 2025 21:11:25 -0300
