=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
@@ -10,7 +9,7 @@
                libgmp-dev,
                libflint-dev,
                libjson-perl,
-               liblrs-dev (>= 0.71~),
+               liblrs-dev (>= 0.73~),
                libmpfr-dev,
                libnormaliz-dev,
                libperl-dev,
@@ -73,7 +72,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.11
+Package: libpolymake4.12
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -94,7 +93,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.11 (= ${binary:Version}),
+Depends: libpolymake4.12 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
