## polymake 4.15

=== debian/changelog ===
polymake (4.15-2) unstable; urgency=medium

  * Upload built binaries.

 -- David Bremner <bremner@debian.org>  Tue, 10 Feb 2026 10:46:28 +0900

polymake (4.15-1) unstable; urgency=medium

  * Update to new upstream version 4.15.
  * Replace build dependency pkg-config with pkgconf

 -- David Bremner <bremner@debian.org>  Mon, 09 Feb 2026 19:17:29 +0900

polymake (4.14-2) unstable; urgency=medium

  * Remove support for nocheck build profile (Closes: #1116838).

 -- David Bremner <bremner@debian.org>  Wed, 01 Oct 2025 15:31:19 -0300
