=== debian/control ===
--- 
+++ 
@@ -15,15 +15,15 @@
                libperl-dev,
                libppl-dev,
                libsingular4-dev,
-               libterm-readkey-perl <!nocheck>,
-               libterm-readline-gnu-perl <!nocheck>,
-               libxml-sax-perl <!nocheck>,
+               libterm-readkey-perl,
+               libterm-readline-gnu-perl,
+               libxml-sax-perl,
                ninja-build,
-               singular-data <!nocheck>,
-               singular-modules <!nocheck>,
-               singular-ui <!nocheck>,
+               singular-data,
+               singular-modules,
+               singular-ui,
                uglifyjs,
-               pkg-config
+               pkgconf
 Standards-Version: 4.5.0
 Homepage: http://www.polymake.org/
 Vcs-Browser: https://salsa.debian.org/bremner/polymake.git
@@ -72,7 +72,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.12
+Package: libpolymake4.15
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -93,7 +93,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.12 (= ${binary:Version}),
+Depends: libpolymake4.15 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
